Create Bank Attribute
POST /obp/v7.0.0/banks/BANK_ID/attribute
OBPv4.0.0-createBankAttribute Roles: CanCreateBankAttribute(per bank) BankBank-AttributeAttribute
Create Bank Attribute
Typical product attributes might be:
ISIN (for International bonds) VKN (for German bonds) REDCODE (markit short code for credit derivative) LOAN_ID (e.g. used for Anacredit reporting)
ISSUE_DATE (When the bond was issued in the market) MATURITY_DATE (End of life time of a product) TRADABLE
See FPML for more examples.
The type field must be one of "STRING", "INTEGER", "DOUBLE", "DECIMAL", "BOOLEAN" and "DATE_WITH_DAY". Use "DECIMAL" rather than "DOUBLE" for rates, prices and amounts, because it holds the value exactly; "BOOLEAN" values are "true" or "false".
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
JSON response body fields (6)
Example request body
{
"name": "TAX_ID",
"type": "INTEGER",
"value": "12345678",
"is_active": true
}Example success response
{
"bank_id": "gh.29.uk",
"bank_attribute_id": "613c83ea-80f9-4560-8404-b9cd4ec42a7f",
"name": "OVERDRAFT_START_DATE",
"type": "DATE_WITH_DAY",
"value": "2012-04-23",
"is_active": true
}Possible errors (4)
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles: